<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:54:19 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class org.eclipse.papyrus.designer.languages.java.reverse.ast.expr.AnnotationExpr (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.eclipse.papyrus.designer.languages.java.reverse.ast.expr.AnnotationExpr (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/class-use/AnnotationExpr.html" target="_top">Frames</a></li>
<li><a href="AnnotationExpr.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.eclipse.papyrus.designer.languages.java.reverse.ast.expr.AnnotationExpr" class="title">Uses of Class<br>org.eclipse.papyrus.designer.languages.java.reverse.ast.expr.AnnotationExpr</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.ast">org.eclipse.papyrus.designer.languages.java.reverse.ast</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.ast.body">org.eclipse.papyrus.designer.languages.java.reverse.ast.body</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">org.eclipse.papyrus.designer.languages.java.reverse.ast.expr</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.ast">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a> in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.ast</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.ast</a> that return types with arguments of type <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PackageDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/PackageDeclaration.html#getAnnotations--">getAnnotations</a></span>()</code>
<div class="block">Retrieves the list of annotations declared before the package
 declaration.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.ast</a> with type arguments of type <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PackageDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/PackageDeclaration.html#setAnnotations-java.util.List-">setAnnotations</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.ast</a> with type arguments of type <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/PackageDeclaration.html#PackageDeclaration-int-int-int-int-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.ast.expr.NameExpr-">PackageDeclaration</a></span>(int&nbsp;beginLine,
                  int&nbsp;beginColumn,
                  int&nbsp;endLine,
                  int&nbsp;endColumn,
                  <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                  <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">NameExpr</a>&nbsp;name)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.ast.body">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a> in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.ast.body</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.ast.body</a> that return types with arguments of type <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Parameter.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/Parameter.html#getAnnotations--">getAnnotations</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BodyDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/BodyDeclaration.html#getAnnotations--">getAnnotations</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.ast.body</a> with type arguments of type <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Parameter.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/Parameter.html#setAnnotations-java.util.List-">setAnnotations</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">BodyDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/BodyDeclaration.html#setAnnotations-java.util.List-">setAnnotations</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.ast.body</a> with type arguments of type <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/AnnotationDeclaration.html#AnnotationDeclaration-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.ast.body.JavadocComment-int-java.util.List-java.lang.String-java.util.List-">AnnotationDeclaration</a></span>(int&nbsp;beginLine,
                     int&nbsp;beginColumn,
                     int&nbsp;endLine,
                     int&nbsp;endColumn,
                     <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/JavadocComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">JavadocComment</a>&nbsp;javaDoc,
                     int&nbsp;modifiers,
                     <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                     <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/BodyDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">BodyDeclaration</a>&gt;&nbsp;members)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/AnnotationMemberDeclaration.html#AnnotationMemberDeclaration-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.ast.body.JavadocComment-int-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.ast.type.Type-java.lang.String-org.eclipse.papyrus.designer.languages.java.reverse.ast.expr.Expression-">AnnotationMemberDeclaration</a></span>(int&nbsp;beginLine,
                           int&nbsp;beginColumn,
                           int&nbsp;endLine,
                           int&nbsp;endColumn,
                           <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/JavadocComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">JavadocComment</a>&nbsp;javaDoc,
                           int&nbsp;modifiers,
                           <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                           <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.type">Type</a>&nbsp;type,
                           <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                           <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/Expression.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">Expression</a>&nbsp;defaultValue)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/BodyDeclaration.html#BodyDeclaration-int-int-int-int-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.ast.body.JavadocComment-">BodyDeclaration</a></span>(int&nbsp;beginLine,
               int&nbsp;beginColumn,
               int&nbsp;endLine,
               int&nbsp;endColumn,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
               <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/JavadocComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">JavadocComment</a>&nbsp;javaDoc)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ClassOrInterfaceDeclaration.html#ClassOrInterfaceDeclaration-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.ast.body.JavadocComment-int-java.util.List-boolean-java.lang.String-java.util.List-java.util.List-java.util.List-java.util.List-">ClassOrInterfaceDeclaration</a></span>(int&nbsp;beginLine,
                           int&nbsp;beginColumn,
                           int&nbsp;endLine,
                           int&nbsp;endColumn,
                           <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/JavadocComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">JavadocComment</a>&nbsp;javaDoc,
                           int&nbsp;modifiers,
                           <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                           boolean&nbsp;isInterface,
                           <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                           <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/TypeParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">TypeParameter</a>&gt;&nbsp;typeParameters,
                           <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/type/ClassOrInterfaceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.type">ClassOrInterfaceType</a>&gt;&nbsp;extendsList,
                           <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/type/ClassOrInterfaceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.type">ClassOrInterfaceType</a>&gt;&nbsp;implementsList,
                           <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/BodyDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">BodyDeclaration</a>&gt;&nbsp;members)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/ConstructorDeclaration.html#ConstructorDeclaration-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.ast.body.JavadocComment-int-java.util.List-java.util.List-java.lang.String-java.util.List-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt.BlockStmt-">ConstructorDeclaration</a></span>(int&nbsp;beginLine,
                      int&nbsp;beginColumn,
                      int&nbsp;endLine,
                      int&nbsp;endColumn,
                      <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/JavadocComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">JavadocComment</a>&nbsp;javaDoc,
                      int&nbsp;modifiers,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/TypeParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">TypeParameter</a>&gt;&nbsp;typeParameters,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">Parameter</a>&gt;&nbsp;parameters,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">NameExpr</a>&gt;&nbsp;throws_,
                      <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/BlockStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">BlockStmt</a>&nbsp;block)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/EnumConstantDeclaration.html#EnumConstantDeclaration-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.ast.body.JavadocComment-java.util.List-java.lang.String-java.util.List-java.util.List-">EnumConstantDeclaration</a></span>(int&nbsp;beginLine,
                       int&nbsp;beginColumn,
                       int&nbsp;endLine,
                       int&nbsp;endColumn,
                       <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/JavadocComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">JavadocComment</a>&nbsp;javaDoc,
                       <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                       <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                       <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/Expression.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">Expression</a>&gt;&nbsp;args,
                       <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/BodyDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">BodyDeclaration</a>&gt;&nbsp;classBody)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/EnumDeclaration.html#EnumDeclaration-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.ast.body.JavadocComment-int-java.util.List-java.lang.String-java.util.List-java.util.List-java.util.List-">EnumDeclaration</a></span>(int&nbsp;beginLine,
               int&nbsp;beginColumn,
               int&nbsp;endLine,
               int&nbsp;endColumn,
               <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/JavadocComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">JavadocComment</a>&nbsp;javaDoc,
               int&nbsp;modifiers,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/type/ClassOrInterfaceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.type">ClassOrInterfaceType</a>&gt;&nbsp;implementsList,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/EnumConstantDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">EnumConstantDeclaration</a>&gt;&nbsp;entries,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/BodyDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">BodyDeclaration</a>&gt;&nbsp;members)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/FieldDeclaration.html#FieldDeclaration-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.ast.body.JavadocComment-int-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.ast.type.Type-java.util.List-">FieldDeclaration</a></span>(int&nbsp;beginLine,
                int&nbsp;beginColumn,
                int&nbsp;endLine,
                int&nbsp;endColumn,
                <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/JavadocComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">JavadocComment</a>&nbsp;javaDoc,
                int&nbsp;modifiers,
                <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.type">Type</a>&nbsp;type,
                <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/VariableDeclarator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">VariableDeclarator</a>&gt;&nbsp;variables)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/MethodDeclaration.html#MethodDeclaration-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.ast.body.JavadocComment-int-java.util.List-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.ast.type.Type-java.lang.String-java.util.List-int-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt.BlockStmt-">MethodDeclaration</a></span>(int&nbsp;beginLine,
                 int&nbsp;beginColumn,
                 int&nbsp;endLine,
                 int&nbsp;endColumn,
                 <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/JavadocComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">JavadocComment</a>&nbsp;javaDoc,
                 int&nbsp;modifiers,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/TypeParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast">TypeParameter</a>&gt;&nbsp;typeParameters,
                 <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.type">Type</a>&nbsp;type,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">Parameter</a>&gt;&nbsp;parameters,
                 int&nbsp;arrayCount,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">NameExpr</a>&gt;&nbsp;throws_,
                 <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/stmt/BlockStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.stmt">BlockStmt</a>&nbsp;block)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/Parameter.html#Parameter-int-int-int-int-int-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.ast.type.Type-boolean-org.eclipse.papyrus.designer.languages.java.reverse.ast.body.VariableDeclaratorId-">Parameter</a></span>(int&nbsp;beginLine,
         int&nbsp;beginColumn,
         int&nbsp;endLine,
         int&nbsp;endColumn,
         int&nbsp;modifiers,
         <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
         <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.type">Type</a>&nbsp;type,
         boolean&nbsp;isVarArgs,
         <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/VariableDeclaratorId.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">VariableDeclaratorId</a>&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/TypeDeclaration.html#TypeDeclaration-int-int-int-int-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.ast.body.JavadocComment-java.lang.String-int-java.util.List-">TypeDeclaration</a></span>(int&nbsp;beginLine,
               int&nbsp;beginColumn,
               int&nbsp;endLine,
               int&nbsp;endColumn,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
               <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/JavadocComment.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">JavadocComment</a>&nbsp;javaDoc,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
               int&nbsp;modifiers,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/BodyDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">BodyDeclaration</a>&gt;&nbsp;members)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a> in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.ast.expr</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a> in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.ast.expr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/MarkerAnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">MarkerAnnotationExpr</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/NormalAnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">NormalAnnotationExpr</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/SingleMemberAnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">SingleMemberAnnotationExpr</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.ast.expr</a> that return types with arguments of type <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">VariableDeclarationExpr.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/VariableDeclarationExpr.html#getAnnotations--">getAnnotations</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.ast.expr</a> with type arguments of type <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">VariableDeclarationExpr.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/VariableDeclarationExpr.html#setAnnotations-java.util.List-">setAnnotations</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.ast.expr</a> with type arguments of type <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/VariableDeclarationExpr.html#VariableDeclarationExpr-int-int-int-int-int-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.ast.type.Type-java.util.List-">VariableDeclarationExpr</a></span>(int&nbsp;beginLine,
                       int&nbsp;beginColumn,
                       int&nbsp;endLine,
                       int&nbsp;endColumn,
                       int&nbsp;modifiers,
                       <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                       <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.type">Type</a>&nbsp;type,
                       <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/body/VariableDeclarator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.body">VariableDeclarator</a>&gt;&nbsp;vars)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.ast.expr">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/ast/expr/class-use/AnnotationExpr.html" target="_top">Frames</a></li>
<li><a href="AnnotationExpr.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
